Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service
Class CatalogServiceImpl

    java.lang.Object
      com.beasys.commerce.foundation.SessionImpl
          com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl

Direct Known Subclasses:
  CatalogManagerImpl, CatalogQueryManagerImpl, CategoryManagerImpl, CMCatalogQueryManagerBean, CMCategoryManagerBean, CMCustomDataManagerBean, CMProductItemManagerBean, CustomDataManagerImpl, EpmCustomDataManagerImpl, JdbcCatalogServiceImpl, ProductItemManagerImpl

    public class CatalogServiceImpl

extends SessionImpl

This is the base service implementation for all Catalog-related services. It contains common functionality that all Catalog services must implement; therefore, all Catalog service implementations should extend this class.
The `CatalogService` exposes an accessor for retrieving an associated `CatalogManager`. The returned `CatalogManager` implementation service is specified with the `ejb/CatalogManager` environment property.

See Also
  `CatalogService`, `CatalogServiceHome`

Field Summary
`protected static String` | `CATALOG_MANAGER_HOME` The Catalog Manager is used to control access to the services for the Product Catalog.
`protected static String` | `CATALOG_QUERY_DELEGATE`
`protected static String` | `CATEGORY_DELEGATE`
`protected static String` | `CUSTOM_DATA_DELEGATE`
`protected static String` | `PRODUCT_ITEM_DELEGATE`

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`CatalogServiceImpl()`

Method Summary
`void` | `ejbActivate()` ejbActivate method.
`void` | `ejbCreate()` ejbCreate method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate()` ejbPostCreate method.
`void` | `ejbRemove()` ejbRemove method.
`CatalogManager` | `getCatalogManager()` Returns a instance of the `CatalogManager`.
`protected String` | `getCatalogManagerJndiName()` Helper method to retrieve the JNDI name of the Catalog Manager used by this service.
`protected com.beasys.commerce.ebusiness.catalog.cm.config.CommerceConfigBean` | `getConfigBean()` This need to be initialized in the create method
`protected void` | `setDelegateName(String type, String delegateName)`
`void` | `setSessionContext(SessionContext ctx)` setSessionContext method.
`protected void` | `validateAuthorization(CatalogRequest request, int code)` This method validates that the caller's `CatalogRequest` object has the credentials to peform the operation in the code argument.

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CATEGORY_DELEGATE

    protected static final String CATEGORY_DELEGATE

See Also
  Constants Summary

### PRODUCT_ITEM_DELEGATE

    protected static final String PRODUCT_ITEM_DELEGATE

See Also
  Constants Summary

### CATALOG_QUERY_DELEGATE

    protected static final String CATALOG_QUERY_DELEGATE

See Also
  Constants Summary

### CUSTOM_DATA_DELEGATE

    protected static final String CUSTOM_DATA_DELEGATE

See Also
  Constants Summary

### CATALOG_MANAGER_HOME

    protected static String CATALOG_MANAGER_HOME

  The Catalog Manager is used to control access to the services for the Product Catalog. This constant identifies the environment variable in the deployment descriptor that allows the deployer to define which session bean to use.

Constructor Detail

### CatalogServiceImpl

    public CatalogServiceImpl()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws CreateException

  Description copied from class: `SessionImpl`
  ejbCreate method.

  Overrides:
    `ejbCreate` in class `SessionImpl`
  Throws
    `CreateException`

### ejbPostCreate

    public void ejbPostCreate()
                       throws CreateException

  Description copied from class: `SessionImpl`
  ejbPostCreate method.

  Overrides:
    `ejbPostCreate` in class `SessionImpl`
  Throws
    `CreateException`

### ejbActivate

    public void ejbActivate()
                     throws EJBException

  Description copied from class: `SessionImpl`
  ejbActivate method.

  Overrides:
    `ejbActivate` in class `SessionImpl`
  Throws
    `EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException

  Description copied from class: `SessionImpl`
  ejbPassivate method.

  Overrides:
    `ejbPassivate` in class `SessionImpl`
  Throws
    `EJBException`

### ejbRemove

    public void ejbRemove()
                   throws EJBException

  Description copied from class: `SessionImpl`
  ejbRemove method.

  Overrides:
    `ejbRemove` in class `SessionImpl`
  Throws
    `EJBException`

### setSessionContext

    public void setSessionContext(SessionContext ctx)
                           throws EJBException

  Description copied from class: `SessionImpl`
  setSessionContext method.

  Overrides:
    `setSessionContext` in class `SessionImpl`
  Throws
    `EJBException`

### getCatalogManager

    public CatalogManager getCatalogManager()

  Returns a instance of the `CatalogManager`.

  Returns
    An instance of the `CatalogManager`.
  Throws
    `RemoteException` - on remote error.

### validateAuthorization

    protected void validateAuthorization(CatalogRequest request,
                                         int code)
                                  throws CatalogException

  This method validates that the caller's `CatalogRequest` object has the credentials to peform the operation in the code argument. See `CatalogRequest` for a list of the available codes.

  Parameters
    `request` - The CatalogRequest object of the caller.
    `code` - the operation code to be authorized.
  Throws
    `CatalogOperationNotAuthorizedException` - if the caller does not have sufficient credentials to perform the operation.
    `CatalogException`
  See Also
    `CatalogRequest`

### getCatalogManagerJndiName

    protected String getCatalogManagerJndiName()

  Helper method to retrieve the JNDI name of the Catalog Manager used by this service. The JNDI name of the CatalogManager is required by ViewIterators to allow them to lazily contact their parent services.

### getConfigBean

    protected com.beasys.commerce.ebusiness.catalog.cm.config.CommerceConfigBean getConfigBean()

  This need to be initialized in the create method

  Returns

### setDelegateName

    protected void setDelegateName(String type,
                                   String delegateName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved